function create_figures

close all

%========================================================================
% Filtering (for Website Only)
%========================================================================
f_position = {'' 'substep'};
for k = 1:2 
    h{k} = figure(k);
    set(h{k},'position',[10 50 1000 500])
    set(h{k},'paperpositionmode','auto')
    starmap_ex_linesource_filter(f_position{k})
end
print(h{1},'-dpng','fig_linesource_P13','-r580')
print(h{2},'-dpng','fig_linesource_FP13','-r580')
for k = 1:2
    close(h{k})
end

clear h
f_position = {'' 'substep'};
for k = 1:2 
    h{k} = figure(k);
    set(h{k},'position',[10 50 1000 500])
    set(h{k},'paperpositionmode','auto')
    starmap_ex_lattice_filter(f_position{k})
end
print(h{1},'-dpng','fig_lattice_P5','-r580')
print(h{2},'-dpng','fig_lattice_FP5','-r580')
for k = 1:2
    close(h{k})
end

%========================================================================
% Gauss test: Convergence of FPN equations (for Paper: Frank, Hauck, 
% Kuepper, Convergence of filtered spherical harmonic equations for 
% radiation transport (2014))
% - Consider running the tests in parallel. They take several hours.
%========================================================================
h = figure(1);
starmap_ex_gauss_filter_convergence([150,150])
set(h,'Position',[10 50 905 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_gauss_150x150','-r580')
close(h)
h = figure(1);
starmap_ex_gauss_filter_convergence([300,300])
set(h,'Position',[10 50 905 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_gauss_300x300','-r580')
close(h)
%========================================================================
% Lattice test: Convergence of FPN equations (for Paper: Frank, Hauck, 
% Kuepper, Convergence of filtered spherical harmonic equations for 
% radiation transport (2014))
% - Consider running the tests in parallel. They take several hours.
%========================================================================
starmap_ex_lattice_filter_convergence([250,250],129)
h = figure(3);
set(h,'Position',[10 50 755 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_lattice_P129_n250','-r580')
close all
starmap_ex_lattice_filter_convergence([500,500],129)
h = figure(1);
set(h,'Position',[10 50 1000 500])
set(h,'paperpositionmode','auto')
print(h,'-dpng','fig_lattice_P129_n500_moments','-r580')
close(h)
h = figure(2);
set(h,'Position',[10 50 600 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_lattice_P129_n500_moments','-r580')
close(h)
h = figure(3);
set(h,'Position',[10 50 755 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_lattice_P129_n500','-r580')
close(h)
starmap_ex_lattice_filter_convergence([500,500],128) 
h = figure(1);
set(h,'Position',[10 50 1000 500])
set(h,'paperpositionmode','auto')
print(h,'-dpng','fig_lattice_P128_n500_moments','-r580')
close all
%========================================================================
% Hemisphere test: Convergence of FPN equations (for Paper: Frank, Hauck, 
% Kuepper, Convergence of filtered spherical harmonic equations for 
% radiation transport (2014))
% - Consider running the tests in parallel. They take several hours.
%========================================================================
starmap_ex_hemisphere_filter_convergence_P99_n150
h = figure(3);
set(h,'Position',[10 50 755 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_hemisphere_P99_n150','-r580')
close all
starmap_ex_hemisphere_filter_convergence_P99_n300
h = figure(1);
set(h,'Position',[10 50 600 500])
set(h,'paperpositionmode','auto')
print(h,'-dpng','fig_hemisphere_P99_n300_moments','-r580')
close(h)
h = figure(2);
set(h,'Position',[10 50 600 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_hemisphere_P99_n300_moments','-r580')
close(h)
h = figure(3);
set(h,'Position',[10 50 755 155])
set(h,'paperpositionmode','auto')
print(h,'-dpng','tab_hemisphere_P99_n300','-r580')
close(h)
starmap_ex_hemisphere_filter_convergence_P98_n300
h = figure(1);
set(h,'Position',[10 50 600 500])
set(h,'paperpositionmode','auto')
print(h,'-dpng','fig_hemisphere_P98_n300_moments','-r580')
close all