function crop_figures

%---------------------------------------
%height = 500; % target height of image
margin = 16; % added margin at all sides
%---------------------------------------
d = dir('./fig_*.png'); % figure files in current directory
for j = 1:length(d) % loop over all files
    filename = d(j).name; % full filename of input file
    if ~strcmp(d(j).name(5:7),'ex_') % check if file satisfies criretia
        example = filename(5:end-4); % name of example
        fprintf('Processing %s ...',example)
        F = imread(filename); % load file
        NonWhite = any(F~=255,3); % pixels that are not white
        cols = find(any(NonWhite,1)); % indices of columns with information
        cols = cols([1 end])+margin*[-1 1]; % boundaries plus margin
        rows = find(any(NonWhite',1)); % indices of rows with information
        rows = rows([1 end])+margin*[-1 1]; % boundaries plus margin
        
        height = (diff(rows)+1)/2; % height of new image
        height = round(height/20)*20; % round height to nearest 20
        
        F = F(rows(1):rows(2),cols(1):cols(2),:); % crop image
        F_large = imresize(F,[height nan]); % large version of image
        imwrite(F_large,['fig_ex_',example,'.png'],'png') % save large image
        F_small = imresize(F,[height/4 nan]); % small version of image
        imwrite(F_small,['fig_ex_',example,'_small.png'],'png',... % save
            'Transparency',[1 1 1]); % small image
        fprintf(' Done.\n')
    end
end
